<?php
/**
 * $Horde: mimp/lib/prefs.php,v 1.1 2005/05/09 05:05:36 slusarz Exp $
 *
 * Copyright 2005 Michael Slusarz <slusarz@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

function handle_sentmailselect($updated)
{
    if ($GLOBALS['conf']['user']['allow_folders'] &&
        !$GLOBALS['prefs']->isLocked('sent_mail_folder')) {
        $sent_mail_folder = Util::getFormData('sent_mail');
        $sent_mail_default = $GLOBALS['prefs']->getValue('sent_mail_folder');
        if (($sent_mail_folder == '-1') && !empty($sent_mail_default)) {
            $sent_mail_folder = $sent_mail_default;
        }
        $sent_mail_folder = MIMP::stripPreambleString($sent_mail_folder);
        if (!empty($sent_mail_folder)) {
            include_once MIMP_BASE . '/lib/Folder.php';
            $mimp_folder = &MIMP_Folder::singleton();
            if (!$mimp_folder->exists($_SESSION['mimp']['stream'], MIMP::addPreambleString($sent_mail_folder))) {
                $mimp_folder->create($_SESSION['mimp']['stream'], MIMP::addPreambleString($sent_mail_folder), $GLOBALS['prefs']->getValue('subscribe'));
            }
        }
        $GLOBALS['identity']->setValue('sent_mail_folder', $sent_mail_folder);
        return true;
    }

    return false;
}

/* Make sure we have an active IMAP stream. */
$GLOBALS['registry']->callByPackage('mimp', 'getStream');
